SecurityUpdate Domain Lock

Update Domain Lock

Update Domain lock of VoD push zone

curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/42/domainlock" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "Y",
  "policy": "Y",
  "list": "example.com,cdn.example.com",
  "ips": "1.2.3.4",
  "noreferer": "Y",
  "active": "Y",
  "mode": "S"
}'
{
  "result": "success",
  "message": "Zone updated successfully",
  "zone": {
    "type": "push",
    "id": 12345,
    "serviceid": 67890,
    "mode": "http",
    "cnames": "",
    "edgeruleids": 0,
    "deleted": null,
    "name": "my-cdn-zone",
    "hashid": "abc123def456",
    "fqdn": "cdn.example.com",
    "fqdnVoD": "vod.example.com",
    "edgerules": {
      "enabled": "N"
    },
    "domainlock": {
      "policy": "N",
      "list": "example.com,cdn.example.com",
      "ips": "203.0.113.10",
      "noreferer": "N",
      "type": "push",
      "enabled": "N",
      "active": "N"
    },
    "geoblock": {
      "policy": "N",
      "list": [
        "US",
        "GB"
      ],
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "securetoken": {
      "policy": "F",
      "keyip": "N",
      "list": "ab12cd34ef56gh78",
      "timeout": 3600,
      "session": "0",
      "ips": "",
      "dirs": "",
      "enabled": "N",
      "active": "N"
    },
    "eac": {
      "policy": "N",
      "list": "http://example.com/auth.script",
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "ssl": {
      "http": "N",
      "http2": "Y",
      "redirect": "Y",
      "mode": "S",
      "certid": null,
      "zerossl": null,
      "enabled": "Y",
      "warning": false
    },
    "cache": {
      "smart": "0",
      "cache": "4h",
      "expiry": "1M",
      "querystring": "N",
      "cachecontrol": "Y",
      "usestale": "Y",
      "revalidate": "Y",
      "cacheInSecs": 14400,
      "cacheInMins": 240,
      "expiryInSecs": 2592000,
      "expiryInMins": 43200
    },
    "edge": {
      "compression": "N",
      "compressionlevel": 5,
      "disposition": "N",
      "stripcookie": "N",
      "xff": "N",
      "cors": "Y",
      "webp": "N",
      "pseudostreaming": "N",
      "wp": "N",
      "lfo": "Y",
      "prefresh": "N"
    },
    "transcodefile": {
      "profiles": [
        "1",
        "2"
      ],
      "emails": [
        "admin@example.com"
      ],
      "webhooks": [
        "https://hooks.example.com/webhook"
      ]
    },
    "ftpdetails": {
      "username": "user_67890_push_12345",
      "password": "••••••••"
    },
    "server": {
      "code": "206",
      "name": "Singapore",
      "country": "SouthEast Asia",
      "meta": {
        "uploadPort": "21",
        "uploadHost": "upload.example.com"
      }
    },
    "ssl_enabled": "Y"
  }
}
POST
/zones/vod/push/{zoneid}/domainlock
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring

Enable or disable this feature. Y means enabled, N means disabled.

Options: Y, N
policystring

Y=whitelist, N=blacklist

Options: Y, N
liststring

Comma-separated domain names.

ipsstring

Comma-separated IPs whitelisted regardless of domain lock.

norefererstring

Y=allow no-referer requests, N=block them.

Options: Y, N
activestring

Enable or disable the zone. Y means active, N means inactive.

Options: Y, N
modestring

S=shared (zone-level)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Body

application/json
enabledstring

Enable or disable this feature. Y means enabled, N means disabled.

Allowed values:YN
policystring

Y=whitelist, N=blacklist

Allowed values:YN
liststring

Comma-separated domain names.

Example:
example.com,cdn.example.com
ipsstring

Comma-separated IPs whitelisted regardless of domain lock.

Example:
1.2.3.4
norefererstring

Y=allow no-referer requests, N=block them.

Allowed values:YN
activestring

Enable or disable the zone. Y means active, N means inactive.

Allowed values:YN
modestring

S=shared (zone-level)

Example:
S

Responses

resultstring

Status of the API response.

messagestring

Human-readable status message describing the outcome.

zoneobject